Bug 9650 - Show message if there are no notices
Summary: Show message if there are no notices
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-17 00:08 UTC by Owen Leonard
Modified: 2014-05-26 21:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9650 - Show message if there are no notices (2.00 KB, patch)
2013-02-17 00:17 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9650 - Show message if there are no notices (2.06 KB, patch)
2013-02-17 14:24 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9650 - Show message if there are no notices (2.06 KB, patch)
2013-02-19 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9650 - Show message if there are no notices (2.12 KB, patch)
2013-02-19 09:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-17 00:08:43 UTC
If there are no notices or no notices for a selected library the interface should display a message saying so instead of showing an empty table.
Comment 1 Owen Leonard 2013-02-17 00:17:14 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-17 14:24:04 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-19 09:31:29 UTC
QA comment:
This patch displays a message if there are no notices instead of an empty table.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-19 09:31:40 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-02-19 09:32:04 UTC
Created attachment 15529 [details] [review]
Bug 9650 - Show message if there are no notices

When there are no notices for the selected library, the
interface displays a table header with an empty table.

This patch adds a message which appears when there are no
notices for the selected library, or if no library selected
and there are no notices at all.

To test, visit the notices and slips page and
select a library for which there are no notices. A message
should be displayed, "There are no notices for this library."

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described. No errors.
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-02-20 13:25:50 UTC
This patch has been pushed to master.